package com.srs.comprehensive.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.comprehensive.domain.KnzzGlApply;
import com.srs.comprehensive.domain.KnzzTufaApply;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 国家励志奖学金Service接口
 *
 * @author srs
 * @date 2025-04-26
 */
public interface IKnzzGlApplyService extends IService<KnzzGlApply> {


    public AjaxResult doReApply(KnzzGlApply param);

    public AjaxResult doMany(List<KnzzGlApply> param) ;

    public AjaxResult doAudit(KnzzGlApply param);

    public List<KnzzGlApply> listView(KnzzGlApply param);

    public AjaxResult doApply(KnzzGlApply param);

    public AjaxResult doCancel(Long id);

    public AjaxResult doEdit(KnzzGlApply param) ;

    /**
     * 查询国家励志奖学金
     *
     * @param id 国家励志奖学金主键
     * @return 国家励志奖学金
     */
    public KnzzGlApply selectKnzzGlApplyById(Long id);

    /**
     * 查询国家励志奖学金列表
     *
     * @param knzzGlApply 国家励志奖学金
     * @return 国家励志奖学金集合
     */
    List<KnzzGlApply> selectKnzzGlApplyList(KnzzGlApply knzzGlApply);

    /**
     * 新增国家励志奖学金
     *
     * @param knzzGlApply 国家励志奖学金
     * @return 结果
     */
    int insertKnzzGlApply(KnzzGlApply knzzGlApply);

    /**
     * 修改国家励志奖学金
     *
     * @param knzzGlApply 国家励志奖学金
     * @return 结果
     */
    int updateKnzzGlApply(KnzzGlApply knzzGlApply);

    /**
     * 批量删除国家励志奖学金
     *
     * @param ids 需要删除的国家励志奖学金主键集合
     * @return 结果
     */
    int deleteKnzzGlApplyByIds(Long[] ids);

    /**
     * 删除国家励志奖学金信息
     *
     * @param id 国家励志奖学金主键
     * @return 结果
     */
    int deleteKnzzGlApplyById(Long id);
}
